Jump to: navigation, search

Workforce Management

Supported Operating Systems

WFM Back End Components Support

Notes:
  • For Microsoft products with sub-versions such as R1/R2, all versions are supported except as noted for the specific product.
OS Family Operating System Release Conditions
Windows Windows Server 2008 8.0 - 8.5.1
Windows Windows Server 2012 8.5+
Windows Windows Server 2016 8.5.210.01+

WFM GUI/Configuration & Database Utilities I User Interface Support

Notes:
  • 7.6.1: 32-bit only. Support starts with WFM Configuration Utility 7.6.101.07 and WFM Database Utility 7.6.100.20.
  • 8.0: not supported.
  • 8.1+: 32-bit and 64-bit. Supported in all versions. Database Utility will also run on both x32- and x64-bit versions.
  • 8.5.1: WFM Configuration Utility was removed from the product. WFM Database Utility will only run on x64-bit versions.
OS Family Operating System Release Conditions
Windows Windows 10 8.5.203 WFM Database Utility Only
Windows Windows 7 7.6.1+
Windows Windows 8 8.5.1+ Compatible, native mode on WFM Web and WFM Database Utility only.
Windows Windows Server 2008 8.0 - 8.5.1
Windows Windows Server 2008 8.1 - 8.5.1
Windows Windows Server 2012 8.5.1+ WFM Database Utility Only
Windows Windows Server 2016 8.5.210.00 WFM Database Utility only

WFM Web Agent User Interface Support

OS Family Operating System Release Conditions
Windows Windows 10 8.5.203
Windows Windows 7 8.1+

WFM Web Server Components Support

Notes:
  • An asterisk (*) indicates the oldest operating systems supported for the Genesys 7.x and Genesys 8.x Maintenance Interoperable Components, including AIX Power PC, HP-UX, and Solaris SPARC.
  • For Microsoft products with sub-versions such as R1/R2, all versions are supported except as noted for the specific product.
  • Genesys supports use of products on Oracle Linux, provided that the Oracle Linux distribution is 100% compatible with a Genesys-supported Red Hat distribution, and that the Oracle Unbreakable Enterprise Kernel is not used. Genesys will only support Oracle Linux based on testing and reproduction of any issues in the equivalent Red Hat Linux version; no investigation or testing will be performed on Oracle Linux itself. Support only applies to Oracle Linux versions 5.x and later.
OS Family Operating System Release Conditions
AIX Power PC AIX Power PC 64-bit (AIX 5L for POWER) 7.1 8.1 - 8.5.1
Linux Red Hat Enterprise Linux 6 8.1.1
Linux Red Hat Enterprise Linux 7 8.1.1+
Solaris SPARC Solaris SPARC 64-bit 10 7.2+
Windows Windows 7 8.1 - 8.5.1
Windows Windows Server 2008 8.0 - 8.5.1
Windows Windows Server 2012 8.5+
Windows Windows Server 2016 8.5.210.02+

WFM Web Supervisor User Interface Support

OS Family Operating System Release Conditions
Windows Windows 10 8.5.203
Windows Windows 7 8.1+
Windows Windows 8 8.5.1+

Supported Browsers


Component Browser Release Conditions/Limitations
WFM Web Agent User Interface Firefox ESR 8.5.1 version 31
WFM Web Agent User Interface Firefox ESR 8.5.2 version 38
WFM Web Agent User Interface Google Chrome 8.1.3+
WFM Web Agent User Interface Microsoft IE 8.5.0+ Version 11. Note: There is a known issue with the new (ARK) WFM Web Agent interface when using IE 11.0.40 and WFM Web 8.5.205.09. Please use a different version of IE, use a different browser altogether (e.g., Chrome or Firefox), use the “classic” view of WFM Web Agent or upgrade to WFM Web 8.5.206.09 (the issue is fixed in that release).
WFM Web Supervisor User Interface Firefox ESR 8.5.1 version 31
WFM Web Supervisor User Interface Firefox ESR 8.5.2 version 38
WFM Web Supervisor User Interface Google Chrome 8.1.3 - 8.5.0 WFM Web Supervisor will no longer work with Chrome 44 and above as those versions no longer support Java plug-ins. Customers running WFM Web Supervisor on Chrome 44 or above will need to change their browser to IE or Firefox.
WFM Web Supervisor User Interface Microsoft IE 8.5.0+ Version 11

Supported Database/DB Clusters


Notes:
  • For Microsoft products with sub-versions such as R1/R2, all versions are supported except as noted for the specific product.
  • Genesys supports Genesys products on the database patch levels up to the latest currently available patch sets.
Database Release Conditions/Limitations
IBM DB2 10 8.1.3 - 8.5.1
IBM DB2 9.7 8.1.0 - 8.1.2
MS SQL Server 2008 8.0+ To support MS SQL DB replication functionality, the minimum required version is MSL SQL Server 2008 R2 Enterprise Edition.
MS SQL Server 2012 8.1.3+
MS SQL Server 2012 Cluster 8.5.1+ Also supports AlwaysOn Cluster with Synchronous Mirroring capability in 8.5.1 and later versions
MS SQL Server 2014 8.5.1+
MS SQL Server 2014 Cluster 8.5.207+ Also supports AlwaysOn Cluster with Synchronous Mirroring capability.
MS SQL Server 2016 8.5.210+
MS SQL Server 2016 Cluster 8.5.210+ Also supports AlwaysOn Cluster with Synchronous Mirroring capability.
Oracle 11g 8.0+ Oracle 11g Rel 1 and Rel 2 are supported.
Oracle 11g RAC 8.1+ Oracle 11g Rel 1 and Rel 2 are supported.
Oracle 12c R1 8.5.1
Oracle 12c R1 RAC 8.5.204 Oracle 12c RAC with Dataguard is supported

Supported Virtualization Platforms

Tip
See the global page that lists all Virtualization-related information.

IPV6 Support for Common Interfaces


Notes:
  • Release Support numbers refer to Workforce Management.
Component Release Interface Conditions
Workforce Management 8.1 Management Framework Configuration Server/Proxy
Workforce Management no direct interface Interaction Server
Workforce Management no direct interface License Server
Workforce Management no direct interface SIP Server/T-Server

IPV6 Support for Additional Interfaces


Notes:
  • In the Interface column: (C) stands for Client (S) stands for Server
  • Release Support numbers refer to Workforce Management.
Component Release Interface Conditions
Workforce Management 8.1 WFM Builder (C) – (S) Configuration Server/Proxy
Workforce Management 8.1 WFM Builder (C) – WFM Server (S)
Workforce Management 8.1 WFM Configuration Utility (C) – WFM Server (S)
Workforce Management 8.1 WFM Daemon (C) – (S) Configuration Server/Proxy
Workforce Management 8.1 WFM Daemon (C) – WFM Server (S)
Workforce Management 8.1 WFM Data Aggregator (C) – (S) Configuration Server/Proxy
Workforce Management 8.1 WFM Data Aggregator (C) – (S) Stat Server
Workforce Management 8.1 WFM Data Aggregator (C) – WFM Server (S)
Workforce Management 8.1 WFM Server (C) – (S) Configuration Server/Proxy
Workforce Management 8.1 WFM Server (C) – (S) Message Server
Workforce Management 8.1 WFM Server (C) – WFM Builder (S)
Workforce Management 8.1 WFM Server (C) – WFM Server (S)
Workforce Management 8.1 WFM Web (C) – (S) Configuration Server/Proxy
Workforce Management 8.1 WFM Web (C) – WFM Builder (S)
Workforce Management 8.1 WFM Web (C) – WFM Data Aggregator (S)
Workforce Management 8.1 WFM Web (C) – WFM Server (S)
Workforce Management no support WFM Builder (C) – (S) Message Server
Workforce Management no support WFM Daemon (C) – (S) Message Server
Workforce Management no support WFM Data Aggregator (C) – (S) Message Server
Workforce Management no support WFM Web (C) – (S) Message Server

Prerequisites


Workforce Management - Prerequisites

Third-Party Component Prerequisites

Acquired by Customer

Provided by Genesys

Conditions/Limitations

Third-Party Component Prerequisites

Oracle Client 11 (latest) with Oracle NET and Oracle Provider for OLE DB Yes No Release: 8.1.2

This is installation requirements for an Oracle database. Be aware of the following: 64-bit WFM servers require the 64-bit Oracle Client.

WFM Database Utility and/or WFM Configuration Utility are 32-bit applications and therefore 32-bit Oracle Client needs to be installed on the host(s) that are running these components
Oracle Client 11 (latest) with Oracle NET and Oracle Provider for OLE DB Yes No Release: 8.1.1

This is installation requirements for an Oracle datbase. Be aware of the following: 64-bit WFM servers require the 64-bit Oracle Client.

WFM Database Utility and/or WFM Configuration Utility are 32-bit applications and therefore 32-bit Oracle Client needs to be installed on the host(s) that are running these components
Oracle Client 11 (latest) with Oracle NET and Oracle Provider for OLE DB Yes No Release: 8.1.0

This is installation requirements for an Oracle datbase. Be aware of the following: 64-bit WFM servers require the 64-bit Oracle Client.

WFM Database Utility and/or WFM Configuration Utility are 32-bit applications and therefore 32-bit Oracle Client needs to be installed on the host(s) that are running these components
Oracle Client 11 (latest) with Oracle NET and Oracle Provider for OLE DB Yes No Release: 8.5.0

This is installation requirements for an Oracle datbase. Be aware of the following: 64-bit WFM servers require the 64-bit Oracle Client.

WFM Database Utility and/or WFM Configuration Utility are 32-bit applications and therefore 32-bit Oracle Client needs to be installed on the host(s) that are running these components
Oracle Client 11 (latest) with Oracle NET and Oracle Provider for OLE DB Yes No Release: 8.1.3

This is installation requirements for an Oracle datbase. Be aware of the following: 64-bit WFM servers require the 64-bit Oracle Client.

WFM Database Utility and/or WFM Configuration Utility are 32-bit applications and therefore 32-bit Oracle Client needs to be installed on the host(s) that are running these components
Oracle Client 11 or 12 (latest) with Oracle NET and Oracle Provider for OLE DB Yes No Release: 8.5.2
This is installation requirements for Oracle database. Also, 64-bit WFM servers require the 64-bit Oracle Client
Oracle Client 11 or 12 (latest) with Oracle NET and Oracle Provider for OLE DB Yes No Release: 8.5.1

This is the installation requirements for the Oracle database. Be aware of the following: 64-bit WFM servers require the 64-bit Oracle Client.

WFM Database Utility is a 32-bit applications and therefore 32-bit Oracle Client needs to be installed on the host(s) that are running this component
WFM Database Utility: .NET Framework 2.0+ Yes No Release: 8.1.1
WFM Database Utility: .NET Framework 2.0+ Yes No Release: 8.1.0
WFM Database Utility: .NET Framework 2.0+ Yes No Release: 8.5.1
WFM Database Utility: .NET Framework 2.0+ Yes No Release: 8.5.0
WFM Database Utility: .NET Framework 2.0+ Yes No Release: 8.1.3
WFM Database Utility: .NET Framework 2.0+ Yes No Release: 8.1.2
WFM Web Server: Apache Tomcat 5.5 / 6.0 / 7.0 (with Sun Java JDK 5 starting with update 1 or Java JDK 6) or IBM WebSphere 6.1 / 7.0 Yes No Release: 8.1.0
WFM Web Server: Apache Tomcat 6.0 / 7.0 (with Sun's Java JDK 6 or 7) or IBM WebSphere 7.0 / 8.0 Yes No Release: 8.1.2
WFM Web Server: Apache Tomcat 6.0 / 7.0 (with Sun's Java JDK 6 or 7) or IBM WebSphere 7.0 / 8.0 Yes No Release: 8.1.1
WFM Web Server: Apache Tomcat 6.0 / 7.0 (with Sun's Java JDK 6 or 7) or IBM WebSphere 7.0 / 8.0 Yes No Release: 8.1.3
WFM Web Server: Apache Tomcat 6.0, 7.0 (with Sun's Java JDK 6 or 7) Yes No Release: 8.5.0
WFM Web Server: Apache Tomcat 7.0/8.0 (with Oracle JDK 7 or 8) Yes No Release: 8.5.2
WFM Web Server: Apache Tomcat 7.0/8.0 (with Oracle JDK 7 or 8) Yes No Release: 8.5.1
WFM Web Server: Apache Tomcat 7.0/8.0/8.5/9.0 (with Oracle JDK 7, JDK 8, or JDK 10) Yes No Release: 8.5.211.00+
To deploy WFM Web Server with Java 10, minimum versions required for Tomcat 8 are 8.5 and 8.0.
WFM Web Server: IBM WebSphere 7.0 / 8.0 Yes No Release: 8.5.0
WFM Web Supervisors: Oracle JRE 7 or JRE 8 Yes No Release: 8.5.2
WFM Web Supervisors: Oracle JRE 7 or JRE 8 Yes No Release: 8.5.1
WFM Web Supervisors: Oracle JRE 7, JRE 8, JRE 9, or JRE 10 Yes No Release: 8.5.211.00+
WFM Web Supervisors: Sun Java JRE 6 starting with update 12 Yes No Release: 8.1.0
WFM Web Supervisors: Sun Java JRE 6 starting with update 12 or JRE 7 Yes No Release: 8.1.2
WFM Web Supervisors: Sun Java JRE 6 starting with update 12 or JRE 7 Yes No Release: 8.1.1
WFM Web Supervisors: Sun Java JRE 6 starting with update 12 or JRE 7 Yes No Release: 8.5.0
WFM Web Supervisors: Sun Java JRE 6 starting with update 12 or JRE 7 Yes No Release: 8.1.3

Feedback

Comment on this article:

blog comments powered by Disqus
This page was last modified on September 25, 2018, at 09:51.